APPLE_ID := $(shell cat ./ids/APPLE_ID)
TEAM_ID := $(shell cat ./ids/TEAM_ID)
APP_SPECIFIC_PASSWORD := $(shell cat ./ids/APP_SPECIFIC_PASSWORD)

CmdBar.app:
	$(MAKE) -C src FLAGS=-O CFLAGS=-O3 default

container:
	ditto -c -k --keepParent ./src/CmdBar.app ./build/CmdBar.zip

notarize:
	xcrun notarytool submit ./build/CmdBar.zip \
		--apple-id "$(APPLE_ID)" --team-id "$(TEAM_ID)" \
		--password "$(APP_SPECIFIC_PASSWORD)" --wait

staple:
	cd build && \
	ditto -xk CmdBar.zip . && \
	rm CmdBar.zip && \
	xcrun stapler staple CmdBar.app

zip:
	cd build && \
	ditto -c -k --keepParent CmdBar.app CmdBar.zip

dmg:
	cp background.png build && cd build && \
	create-dmg --volname "CmdBar Installer" --window-size 600 400 \
		--background "background.png" --icon "CmdBar.app" 200 170 \
		--app-drop-link 400 170 --icon-size 100 "CmdBar.dmg" "CmdBar"
	rm build/background.png

all: CmdBar.app container notarize staple zip dmg

status:
	@echo 'xcrun notarytool log "" --apple-id "$(APPLE_ID)" --team-id "$(TEAM_ID)" --password "$(APP_SPECIFIC_PASSWORD)" developer_log.json'

clean:
	rm -rf build

clean-all: clean
	mkdir build
	@$(MAKE) -C src clean-all
